(define (export-all-open-as-one-pdf)
    (let* (
          ;; variables for the program to work
          (list_first (car (gimp-image-list)))
          (list_second (cadr (gimp-image-list)))
          (list_reverse (list->vector (reverse (vector->list list_second))))

          ;; configurable options (change these):
          (inDir "Documents/Scans/sch") ; output file directory
          (inFileName "Combined.pdf")   ; output file name

          ;; configurable options (these you shouldn't have to change):
          (isInteractive FALSE) ; this should never be set to true, otherwise it will not work
          (isVector TRUE)       ; whether or not you want to convert bitmaps to vectors when possible
          (isOmit TRUE)         ; whether or not you want to ignore hidden layers
          (isMask TRUE)         ; whether or not you want to apply layer masks before saving
    )

    (file-pdf-save-multi isInteractive
       list_first
       list_reverse
       isVector
       isOmit
       isMask
       (string-append inDir "/" inFileName)
       (string-append inDir "/" inFileName)
    )
  )
)

(script-fu-register "export-all-open-as-one-pdf"
 "Export all as one PDF..."
 "Export all opened images at once as a single PDF"
 "notfire"
 "beep"
 "2024/09/03"
 "*"
)

(script-fu-menu-register "export-all-open-as-one-pdf" "<Image>/File/Export/")
